<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".safePrivate.SetHandUnLockActivity">

    <com.ydl.ydlcommon.view.TitleBar
        android:id="@+id/title_bar"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        app:pa_title_text="设置手势解锁"
        app:pa_left_start_icon="@drawable/platform_common_back"
        app:pa_right_text="重设">

    </com.ydl.ydlcommon.view.TitleBar>

    <com.ydl.ydlcommon.view.shoushi.LockIndicator
        android:id="@+id/tip_bar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        android:layout_marginBottom="20dp"
        android:layout_gravity="center_horizontal"/>

    <TextView
        android:id="@+id/text_tip"
        android:layout_width="match_parent"
        android:layout_height="30dp"
        android:gravity="center"
        android:text="再次绘制图案进行确认"
        android:visibility="invisible"
        tools:visibility="visible" />

    <!--设置动画-->
    <!--app:lock9_nodeOnAnim="@anim/node_on_1"-->
    <com.ydl.ydlcommon.view.shoushi.Lock9View
        android:id="@+id/lock9View"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:pa_lock9_nodeSrc="@drawable/user_lock_btn_shoushi"
        app:pa_lock9_nodeOnSrc="@drawable/user_lock_btn_shoushi_pre"
        app:pa_lock9_padding="28dp"
        app:pa_lock9_spacing="28dp"
        app:pa_lock9_lineColor="@color/platform_main_theme"
        app:pa_lock9_lineWidth="5dp"
        app:pa_lock9_autoLink="false"
        app:pa_lock9_enableVibrate="true"
        app:pa_lock9_vibrateTime="20">

    </com.ydl.ydlcommon.view.shoushi.Lock9View>>

</LinearLayout>
